#!/bin/bash

echo "Preprocessing..."

# include a date stamp with the latest commit
sed -i -e "s/\*Last updated:.*/\*Last updated: $(git log --format="%cd (commit %h)" --date=short -1)\*  /" src/index.md 

#TODO insert the current `src/parameters.toml` in `docs/src/index.md`

echo "Building documentation..."

julia builddocs.jl

echo "Done."
